Bug 468012 - spacewalk vs. spacewalk-dobby dependency problems
spacewalk vs. spacewalk-dobby dependency problems
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Release (Show other bugs)
530
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dennis Gilmore
Milan Zazrivec
:
Depends On:
Blocks: 463876
  Show dependency treegraph
 
Reported: 2008-10-22 07:35 EDT by Milan Zazrivec
Modified: 2009-09-10 14:53 EDT (History)
2 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 14:53:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Satellite-5.3.0-RHEL4-re20081021.3 repoclosure log (322 bytes, text/plain)
2008-10-22 07:35 EDT, Milan Zazrivec
no flags Details

  None (edit)
Description Milan Zazrivec 2008-10-22 07:35:05 EDT
Created attachment 321137 [details]
Satellite-5.3.0-RHEL4-re20081021.3 repoclosure log

Recent satellite 5.3.0 composes (Satellite-5.3.0-RHEL4-re20081021.3 for
example) contain "spacewalk" package in Satellite/ subdir and "spacewalk-dobby"
in EmbeddedDB/ subdir.

spacewalk package depends on spacewalk-dobby package, which means that
whenever we'll want to install ISO with external database (i.e. no EmbeddedDB
stuff), we'll run into dependency problems (i.e. ISO won't be installable).

I'm not sure whether:
* it's okay that we ship spacewalk package as a part of Satellite
* it's okay that spacewalk pkg. requires spacewalk-dobby pkg.
* it's okay that we ship spacewalk-dobby pkg. as a part of Spacewalk

Nonetheless this is an issue we're gonna have to deal with for 5.3.0.

Attached repoclosure.log demonstrates the dependency problem (run against
Satellite-5.3.0-RHEL4-re20081021.3; /var/tmp/sat-repo was created by
running: createrepo -o /var/tmp/sat-repo /path/to/compose/path/to/Satellite).
Comment 1 Devan Goodwin 2008-10-22 08:26:30 EDT
From conversations yesterday it sounds like there's no need for spacewalk meta-package to have any dependency on spacewalk-dobby which is needed only for embedded Oracle installations. Removing the dependency.

As for the package itself being on the ISO, it's not used and not needed but quite harmless. May as well leave it be for now. Might be useful if someone were creating their own repo with ISO contents or something.

Fixed in d3ff464e08b2c01aafdacf377ac62f5443b397a0
Comment 2 Devan Goodwin 2008-10-22 08:58:00 EDT
Cliff has requested that we actually remove the spacewalk package itself from the ISO's. Handing off to Dennis to make the magic happen.
Comment 3 Dennis Gilmore 2008-10-22 09:30:32 EDT
ill remove the spacewalk package  and note that spacewalk-dobby was removed from the main iso because of bug #467211
Comment 4 Dennis Gilmore 2008-10-22 09:41:36 EDT
[dgilmore@athosian comps]$ cvs diff -u
cvs diff: Diffing .
Index: comps-rhel4-rhnsat53.xml
===================================================================
RCS file: /cvs/devel/comps/comps-rhel4-rhnsat53.xml,v
retrieving revision 1.12
diff -u -r1.12 comps-rhel4-rhnsat53.xml
--- comps-rhel4-rhnsat53.xml    19 Oct 2008 02:45:46 -0000      1.12
+++ comps-rhel4-rhnsat53.xml    22 Oct 2008 13:40:08 -0000
@@ -188,7 +188,6 @@
        <packagereq type="default">servletapi4</packagereq>
        <packagereq type="default">sitemesh</packagereq>
        <packagereq type="default">SNMPAlerts</packagereq>
-       <packagereq type="default">spacewalk</packagereq>
        <packagereq type="default">spacewalk-admin</packagereq>
        <packagereq type="default">spacewalk-backend</packagereq>
        <packagereq type="default">spacewalk-build-setup</packagereq>
Index: comps-rhel5-rhnsat53.xml
===================================================================
RCS file: /cvs/devel/comps/comps-rhel5-rhnsat53.xml,v
retrieving revision 1.12
diff -u -r1.12 comps-rhel5-rhnsat53.xml
--- comps-rhel5-rhnsat53.xml    19 Oct 2008 02:45:46 -0000      1.12
+++ comps-rhel5-rhnsat53.xml    22 Oct 2008 13:40:08 -0000
@@ -139,7 +139,6 @@
        <packagereq type="default">servletapi4</packagereq>
        <packagereq type="default">sitemesh</packagereq>
        <packagereq type="default">SNMPAlerts</packagereq>
-       <packagereq type="default">spacewalk</packagereq>
        <packagereq type="default">spacewalk-admin</packagereq>
        <packagereq type="default">spacewalk-backend</packagereq>
        <packagereq type="default">spacewalk-build-setup</packagereq>
cvs diff: Diffing 6.2
cvs diff: Diffing po
Comment 5 Milan Zazrivec 2008-11-12 06:36:04 EST
I'm confirming that spacewalk package is not present in 
Satellite-5.3.0-RHEL[45]-re20081024.1, no dependency problems found either.
Comment 6 John Matthews 2009-08-07 12:09:22 EDT
Move to RELEASE_PENDING

ISO 7/24 for external DB
does not have "spacewalk" or "spacewalk-dobby" package present

ISO 7/24 for embedded db 
has "spacewalk-dobby", but no "spacewalk" package
Comment 7 Brandon Perkins 2009-09-10 14:53:24 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.